BDD *
basic_and (BDD * a, BDD * b)
{
  assert (is_constant_bdd (a) && is_constant_bdd (b));
  return (BDD *) (((unsigned) a) & (unsigned) b);
}

BDD *
basic_or (BDD * a, BDD * b)
{
  assert (is_constant_bdd (a) && is_constant_bdd (b));
  return (BDD *) (((unsigned) a) | (unsigned) b);
}

BDD *
basic_xor (BDD * a, BDD * b)
{
  assert (is_constant_bdd (a) && is_constant_bdd (b));
  return (BDD *) (((unsigned) a) ^ (unsigned) b);
}
