#include <assert.h>
#include <stdlib.h>
#include <stdio.h>
#include <string.h>
#include "bddnode.c"
#include "findbdd.c"
#include "newbddaux.c"
#include "newbdd.c"
#include "cofactor.c"
#include "topidx.c"
#include "cofactor2.c"
#include "basis.c"
#include "apply.c"
#include "abbrv.c"
#include "markbdd.c"
#include "satfrac.c"
#include "visedge.c"
#include "visaux.c"
#include "vis.c"
int
main (void)
{
  BDD *x, *y, *i, *o, *s, *t[3];

  x = var_bdd (0);
  y = var_bdd (1);
  i = var_bdd (2);
  t[0] = xor_bdd (x, y);
  t[1] = and_bdd (x, y);
  t[2] = and_bdd (t[0], i);
  s = xor_bdd (t[0], i);
  o = or_bdd (t[1], t[2]);

  printf ("satfrac(x) = %f\n", satfrac(x));
  printf ("satfrac(t[0]) = %f\n", satfrac(t[0]));
  printf ("satfrac(t[1]) = %f\n", satfrac(t[1]));
  printf ("satfrac(t[2]) = %f\n", satfrac(t[2]));
  printf ("satfrac(o) = %f\n", satfrac(o));
  printf ("satfrac(s) = %f\n", satfrac(s));

  vis_bdd (x);
  vis_bdd (t[0]);
  vis_bdd (t[1]);
  vis_bdd (t[2]);
  vis_bdd (s);
  vis_bdd (o);

  return 0;
}
