void
vis_bdd (BDD * bdd)
{
  FILE *file = fopen ("bdd.lg", "w");
  int max_level = strip_bdd (bdd)->idx + 1;
  fprintf (file,
	   "a{black}\n"
	   "r{invisible}\n"
	   "n{nondirected}\n"
	   "0{red}\n"
	   "1{blue}\n"
	   "n0{nondirected red}\n"
	   "n1{nondirected blue}\n" "f{dot red}\n" "c{box}\n");
  fprintf (file, "root@0:r>root0:n1\n");
  fprintf (file, "root0@1%s>%x:1\n", sign_bdd (bdd) ? ":f" : ":r",
	   (unsigned) strip_bdd (bdd));
  vis_bdd_aux (sign_bdd (bdd) ? not_bdd (bdd) : bdd, file, max_level);
  fprintf (file, "%x@%d:c'0\n", (unsigned) false_bdd, 2 * max_level + 2);
  mark_bdd (bdd, 0);
  fclose (file);
  /* http://www.inf.ethz.ch/personal/biere/projects/lg */
  system ("lg -s 3 -Y 1 -f2g -e bdd.lg -o bdd.ps; gv bdd.ps");
}
